%DIABETES 768 objects with 8 features in 2 classes
%
%        X = DIABETES
%
% Pima-indians diabetes database from National Institute of Diabetes and
% Digestive and Kidney Diseases. This is the 'Pima Indians Diabetes' 
% dataset of the UCI Machine Learning Repository, 
% //www.ics.uci.edu/~mlearn/MLRepository.html

function a = diabetes
 
a = pr_loadmatfile;
if isempty(a)
  opt.delimeter = ' ';
  opt.labfeat   = 9;
  opt.featnames = {'NumPregnancies' 'plasmaGlucose' 'diastolicBloodPr' ...
        'tricepsSkinfold' '2hrSerumInsulin' 'BodyMassIndex' ...
        'DiabetesPedigreeFn' 'Age'};
  opt.classnames = {'present' 'absent'};
  opt.link  = 'ftp://ftp.ics.uci.edu/pub/machine-learning-databases/pima-indians-diabetes/';
  opt.desc  = 'The Pima Indians Diabetes Database from UCI.';
  opt.dsetname = 'Diabetes';
  a = pr_download('http://prtools.tudelft.nl/prdatasets/diabetes.dat',[],opt);
end

return
